package com.duanledexianxianxian.demo.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.duanledexianxianxian.demo.domain.entity.User;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.duanledexianxianxian.demo.domain.model.query.UserQuery;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户表 Mapper 接口
 * </p>
 *
 * @author duanledexianxianxian
 * @since 2020 -03-19
 */
public interface UserDao extends BaseMapper<User> {

    /**
     * Gets list.
     *
     * @param page  the page
     * @param query the query
     * @return the list
     */
    List<User> getList(IPage<User> page, @Param("query") UserQuery query);
}
