package com.duanledexianxianxian.demo.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 菜单表
 * </p>
 *
 * @author duanledexianxianxian
 * @since 2020-03-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("test_menu")
public class Menu implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 用户编号
     */
    private Long userId;
    /**
     * 菜单编号
     */
    @TableId
    private Long menuId;

    /**
     * 菜单url
     */
    private String menuUrl;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 菜单编码
     */
    private String menuCode;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
