package com.duanledexianxianxian.demo.domain.model.query;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 用户查询对象
 *
 * @author duanledexianxianxian
 * @since 2020 -03-19
 */
@Data
public class UserQuery implements Serializable {

    /**
     * The constant serialVersionUID.
     */
    private static final long serialVersionUID = 1L;
    /**
     * The Page num.
     */
    Long pageNum=1L;
    /**
     * The Page size.
     */
    Long pageSize=10L;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户昵称
     */
    private String nickName;

}
