package com.duanledexianxianxian.demo.domain.dto;

import com.duanledexianxianxian.demo.domain.entity.Menu;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;

/**
 * 用户传输对象
 *
 * @author duanledexianxianxian
 * @since 2020 -03-19
 */
@Data
public class UserDTO implements Serializable {

    /**
     * The constant serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * 用户编号
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 生日
     */
    private LocalDate birthday;

    /**
     * 菜单列表
     */
    List<MenuDTO> menuList;

}
