package com.duanledexianxianxian.demo.domain.model.query;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 菜单表单对象
 *
 * @author duanledexianxianxian
 * @since 2020-03-19
 */
@Data
public class MenuForm implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 用户编号
     */
    private Long userId;
    /**
     * 菜单编号
     */
    private Long menuId;

    /**
     * 菜单url
     */
    private String menuUrl;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 菜单编码
     */
    private String menuCode;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
