package com.duanledexianxianxian.demo.domain.model.query;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * 用户表单对象
 *
 * @author duanledexianxianxian
 * @since 2020 -03-19
 */
@Data
public class UserForm implements Serializable {

    /**
     * The constant serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * 用户编号
     */
    private Long userId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 生日
     */
    private LocalDate birthday;

}
