package com.duanledexianxianxian.demo.domain.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 菜单vo对象
 *
 * @author duanledexianxianxian
 * @since 2020-03-19
 */
@Data
public class MenuVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 菜单编号
     */
    private Long menuId;

    /**
     * 菜单url
     */
    private String menuUrl;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 菜单编码
     */
    private String menuCode;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
